> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasretrylastaction.md).

# Invoke-RASRetryLastAction.md

## NAME

Invoke-RASRetryLastAction

## SYNOPSIS

Retry last action on template.

## SYNTAX

\*\*Invoke-RASRetryLastAction -[ObjType](#objtype) {AVDTemplate | RDSTemplate | VDITemplate} -[ProviderId](#providerid-string) *(uint)* -[TemplateId](#templateid-string) *(uint)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retries the last action on the specified template.

## PARAMETERS

## ObjType

([RetryLastActionObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/retrylastactionobjtype.md)) Template type to retry last action on.

Possible values: AVDTemplate, RDSTemplate, VDITemplate

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TemplateId (uint)

Template Id.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ProviderId (uint)

Provider Id.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site Id.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASCommand -Action RetryLastAction -ObjType RDSTemplate -Id 1

Retries the last action done on RDS Template with Id 1.

## RELATED LINKS

* [Get-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplate.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasretrylastaction.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
